premake:
	./premake5 gmake2

gearlib-debug: premake
	make -C build config=debug

run: gearlib-debug
	cd examples && ../bin/Debug/test/test

gearlib-release: premake
	make -C build config=release

install: gearlib-release
	cp include/* /usr/local/include -r
	cp bin/Release/gearlib/libgearlib.a bin/Release/glfw/libglfw.a /usr/local/lib
